package com.template.services;

import com.template.model.pojo.AlumniEndorse;
import com.template.model.pojo.AlumniReturn;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.*;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-12-03
 */
public interface AlumniReturnService extends IService<AlumniReturn> {
    int insertAlumniReturn(AlumniReturn au);

    int updateAlumniReturn(AlumniReturn au);

    AlumniReturn queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<ApplicationReturnPageVo> applicationReturnDatas(int currentPage, int pageCount, Integer userId, Integer weekType);
}
